﻿@{ 
    int currPage = @ViewBag.Page; // Cari aktiv sehife
    int MaxPagerPages = 9; //Pager-de gorsenen maksimum sehife sayi

    // MedianPage En orta sehife. Cari aktiv sehife onu kecenden sonra suruwme bawlayir. 
    //Mes: 5-dirse 1-den MaxPagerPages-e qeder sehife gorsenir. 6-dirsa 2-den (MaxPagerPages+1)- e qeder gorsenir
    //Mes: 7dirse 3-den (MaxPagerPages+2). 6-daki +1 suruwme ucun ve 7-deki +2 suruwmenin miqdarini MedianShift gosterir
    int MedianPage = 5;
    //Suruwmenin miqdarini MedianShift gosterir. currPage - MedianPage  funksiyasi ile hesablanir. Sehife minimum 0 ola biler
    int MedianShift = currPage > MedianPage ? currPage - MedianPage : 0;
    //pg 1-den MaxPagerPages -e qeder olan linkleri nomreleyim textini yazacaq. pg suruwmeni nezere alib nomreleyir
    int pg = 1 + MedianShift;
}

<nav aria-label="Page navigation">
    <ul class="pagination">
        <!--<li class="page-item">
            <a class="page-link" href="#" aria-label="Previous">
                <span aria-hidden="true">&laquo;</span>
                <span class="sr-only">Previous</span>
            </a>
        </li>-->
        <!--<li class="page-item"><a class="page-link gridPage" href="../../../../Sifariw/Index/Page/1/" alt="1">1</a></li>-->

        @for (int p = 1; p <= MaxPagerPages; p++)
        {
            if (pg == currPage)
            {
                <li class="page-item active"><a class="page-link gridPage" href=@pg alt=@pg>@pg</a></li>
            }
            else
            {
                <li class="page-item"><a class="page-link gridPage" href=@pg alt=@pg>@pg</a></li>
            }

            pg++;
        }

        <!--<li class="page-item">
            <a class="page-link" href="#" aria-label="Next">
                <span aria-hidden="true">&raquo;</span>
                <span class="sr-only">Next</span>
            </a>
        </li>-->
    </ul>
</nav>
